summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-09-29 12:35:38 +0000
committerDan Armak <danarmak@gentoo.org>2001-09-29 12:35:38 +0000
commit9632a0b5626fbe6e3f1ef87ff4803a7f4f4ba2ee (patch)
tree4905c2b8f75c47d5676ff68ee3c318e3f24fe8ed /eclass/kde-i18n.eclass
parentzap of old portage and added db-3.2.9 to package.mask (diff)
downloadgentoo-2-9632a0b5626fbe6e3f1ef87ff4803a7f4f4ba2ee.tar.gz
gentoo-2-9632a0b5626fbe6e3f1ef87ff4803a7f4f4ba2ee.tar.bz2
gentoo-2-9632a0b5626fbe6e3f1ef87ff4803a7f4f4ba2ee.zip
Eclasses release 2. This time they are supposed to be fully operational.
Bug hunters please!
Diffstat (limited to 'eclass/kde-i18n.eclass')
-rw-r--r--eclass/kde-i18n.eclass55
1 files changed, 55 insertions, 0 deletions
diff --git a/eclass/kde-i18n.eclass b/eclass/kde-i18n.eclass
new file mode 100644
index 000000000000..5923d9263519
--- /dev/null
+++ b/eclass/kde-i18n.eclass
@@ -0,0 +1,55 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.ogr>
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-i18n.eclass,v 1.1 2001/09/29 12:35:38 danarmak Exp $
+. /usr/portage/eclass/inherit.eclass || die
+inherit autoconf base || die
+ECLASS=kde-i18n
+
+A=${P}.tar.bz2
+S=${WORKDIR}/${PN}
+DESCRIPTION="KDE ${PV} - i18n: ${PN}"
+SRC_PATH="kde/stable/${PV}/src/${A}"
+SRC_URI="ftp://ftp.kde.org/pub/$SRC_PATH
+ ftp://ftp.fh-heilbronn.de/pub/mirrors/$SRC_PATH
+ ftp://ftp.sourceforge.net/pub/mirrors/$SRC_PATH"
+
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND=">=kde-base/kdelibs-${PV}"
+
+PROVIDE="virtual/kde-i18n-${PV}"
+
+kde-i18n_src_compile() {
+
+ echo "in kde-i18n_src_compile, 1st parameter is $1"
+ [ $1="" ] && kde-i18n_src_compile all
+
+ while [ "$1" ]; do
+
+ case $1 in
+ configure)
+ echo "in kde-i18n_src_compile, action configure"
+ ./configure --host=${CHOST} || die
+ ;;
+ make)
+ echo "in kde-i18n_src_compile, action make"
+ make || die
+ ;;
+ all)
+ echo "in kde-i18n_src_compile, action all"
+ kde-i18n_src_compile all
+ ;;
+ esac
+
+ shift
+ done
+
+}
+
+kde-i18n_src_install() {
+ echo "in kde-i18n_src_compile, single function"
+ make install DESTDIR=${D} || die
+}
+
+